WPA_SUPPLICANT(8) | System Manager's Manual | WPA_SUPPLICANT(8)

# NAME

wpa_supplicant — WPA/802.11i Supplicant for wireless network devices

# SYNOPSIS

wpa_supplicant | [-BdehLqvw] [-f debug-file] -i ifname -c config-file [-N -i ifname -c config-file ...]

# DESCRIPTION

The wpa_supplicant utility is an implementation of the WPA Supplicant component, i.e., the part that runs in the client stations. It implements WPA key negotiation with a WPA Authenticator and EAP authentication with an Authentication Server. In addition, wpa_supplicant controls the roaming and IEEE 802.11 authentication/association support and can be used to configure static WEP keys based on identified networks.

The wpa_supplicant utility is designed to be a “daemon” program that runs in the background and acts as the backend component controlling the wireless connection. It supports separate frontend programs such as the text-based wpa_cli(8) program.

The following arguments must be specified on the command line:

-i ifname
  Use the specified wireless interface.
-c config-file
  Use the settings in the specified configuration file when managing the wireless interface. See wpa_supplicant.conf(5) for a description of the configuration file syntax and contents.

  Changes to the configuration file can be reloaded by sending a SIGHUP signal to the wpa_supplicant process or with the wpa_cli(8) utility, using “`wpa_cli reconfigure`”.

# OPTIONS

The following options are available:

-B
  Detach from the controlling terminal and run as a daemon process in the background.
-d
  Enable debugging messages. If this option is supplied twice, more verbose messages are displayed. Messages are sent to stdout by default, even when daemonised. This can be changed with the -f flag.
-e
  Use an external IEEE 802.1X Supplicant program and disable the internal Supplicant. This option is not normally used.
-f
  Specifies a file to send debug messages to when enabled with the -d flag.
-h
  Show help text.
-K
  Include key information in debugging output.
-L
  Display the license for this program on the terminal and exit.
-N -i ifname -c config-file ...
  Specify an additional interface and configuration file. If multiple interfaces are specified then wpa_supplicant will manage them all with a single process.
-q
  Decrease debugging verbosity (i.e., counteract the use of the -d flag).
-v
  Display version information on the terminal and exit.
-w
  If the specified interface is not present, wait for it to be added; e.g. a cardbus device to be inserted.

# SEE ALSO

ath(4), ipw(4), iwi(4), ral(4), wi(4), wpa_supplicant.conf(5), ifconfig(8), wpa_cli(8)

# HISTORY

The wpa_supplicant utility first appeared in NetBSD 4.0.

# AUTHORS

The wpa_supplicant utility was written by Jouni Malinen <jkmaline@cc.hut.fi>. This manual page is derived from the README file included in the wpa_supplicant distribution.

January 22, 2010 | NetBSD 6.0